{
    attributes = (
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_LC"; 
            externalType = VARCHAR2; 
            name = persLc; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = s; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_LIBELLE"; 
            externalType = VARCHAR2; 
            name = persLibelle; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = s; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_NOMPTR"; 
            externalType = VARCHAR2; 
            name = persNomPtr; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = s; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_type"; 
            externalType = VARCHAR2; 
            name = persType; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = s; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (persId); 
    className = "org.cocktail.fwkcktldroitsutils.server.metier.EOPersonne"; 
    classProperties = (persId, persLc, persLibelle, persNomPtr, persType); 
    externalName = "JEFY_ADMIN.V_PERSONNE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (persId, persLc, persLibelle, persNomPtr, persType); 
        "_javaClientClassName" = "org.cocktail.fwkcktldroitsutils.client.metier.EOPersonne"; 
    }; 
    isReadOnly = Y; 
    name = "FwkDroits_Personne"; 
    primaryKeyAttributes = (persId); 
}
